NC 11.0.1 + OCR 2.2.0: can't OCR anymore?

I’m on Ubuntu 16.04.1

I’m trying to OCR a PNG, JPG or PDF. But i seems that nothing will happen.

That’s all what i see

pip3 install ocrmypdf --upgrade

Requirement already up-to-date: ocrmypdf in /usr/local/lib/python3.5/dist-packages
Requirement already up-to-date: Pillow>=3.1.0 in /usr/local/lib/python3.5/dist-packages (from ocrmypdf)
Requirement already up-to-date: img2pdf>=0.2.1 in /usr/local/lib/python3.5/dist-packages (from ocrmypdf)
Requirement already up-to-date: ruffus==2.6.3 in /usr/local/lib/python3.5/dist-packages (from ocrmypdf)
Requirement already up-to-date: PyPDF2>=1.26 in /usr/local/lib/python3.5/dist-packages (from ocrmypdf)
Requirement already up-to-date: cffi>=1.5.0 in /usr/local/lib/python3.5/dist-packages (from ocrmypdf)
Requirement already up-to-date: reportlab>=3.2.0 in /usr/local/lib/python3.5/dist-packages (from ocrmypdf)
Requirement already up-to-date: olefile in /usr/local/lib/python3.5/dist-packages (from Pillow>=3.1.0->ocrmypdf)
Requirement already up-to-date: pycparser in /usr/local/lib/python3.5/dist-packages (from cffi>=1.5.0->ocrmypdf)
Requirement already up-to-date: setuptools>=2.2 in /usr/local/lib/python3.5/dist-packages (from reportlab>=3.2.0->ocrmypdf)
Requirement already up-to-date: pip>=1.4.1 in /usr/local/lib/python3.5/dist-packages (from reportlab>=3.2.0->ocrmypdf)


ocrmypdf --version

4.3.5


tesseract --version

tesseract 3.04.01
 leptonica-1.73
  libgif 5.1.2 : libjpeg 8d (libjpeg-turbo 1.4.2) : libpng 1.2.54 : libtiff 4.0.6 : zlib 1.2.8 : libwebp 0.4.4 : libopenjp2 2.1.0

Did you setup the OCRWorker?

Yes.

crontab -l

@reboot /usr/local/sbin/run.OCRWorker.sh


ps ax|grep OCRWorker

 1508 ?        S      0:00 sudo -u www-data nohup php /var/www/nextcloud/apps/ocr/worker/OCRWorker.php
 1529 ?        S      0:00 php /var/www/nextcloud/apps/ocr/worker/OCRWorker.php

I don’t know what is wrong with your installation. My testing environment works like a charm with nc11, ocr 2.2.0 and php7 as well as nc10 ocr 1.1.0 and php 5.6 and 7. Also the automated tests are passing.

The best would be to terminate the processes of the OCRWorker and to start one manually in console to track the output of the script. another option to get information is the nextcloud log (debug mode) and the ocr section in the personal settings page.

Last but not least: would you please open issues in github for those kind of problems, because it enables a centrallized bug and issue tracking combined with the built-in wiki. Actually I would like to use the forum for more discussion-like and higher level topics. architecture, reviews and general debates about the usage. But such kind of bugs and feature requests should be placed in github beside the respecting source code. It is possible to relate a pull-request to the issue and get a much better overview as a developer.

Thank You!

Thanks, that told me that qpdf was not installed.

Now it seems to work.